RegionAttributesType.EvictionAttributes.LruHeapPercentage (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionAttributesType, class: EvictionAttributes, class: LruHeapPercentage

Package org.apache.geode.cache.configuration

# Class RegionAttributesType.EvictionAttributes.LruHeapPercentage

java.lang.Object
org.apache.geode.cache.configuration.ClassNameType
org.apache.geode.cache.configuration.DeclarableType
org.apache.geode.cache.configuration.RegionAttributesType.EvictionAttributes.LruHeapPercentage

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RegionAttributesType.EvictionAttributes.LruMemorySize`

Enclosing class:
  RegionAttributesType.EvictionAttributes

public static class RegionAttributesType.EvictionAttributes.LruHeapPercentage extends DeclarableType

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
             <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected EnumActionDestroyOverflow`
  `action`

  ### Fields inherited from class org.apache.geode.cache.configuration.DeclarableType

  `EMPTY, parameters`

  ### Fields inherited from class org.apache.geode.cache.configuration.ClassNameType

  `className`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LruHeapPercentage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EnumActionDestroyOverflow`
  `getAction()`
  Gets the value of the action property.
  `void`
  `setAction(EnumActionDestroyOverflow value)`
  Sets the value of the action property.

  ### Methods inherited from class org.apache.geode.cache.configuration.DeclarableType

  `equals, getParameters, hashCode, setParameters, toString`

  ### Methods inherited from class org.apache.geode.cache.configuration.ClassNameType

  `getClassName, setClassName`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### action

    protected EnumActionDestroyOverflow action

- ## Constructor Details

  - ### LruHeapPercentage

    public LruHeapPercentage()

- ## Method Details

  - ### getAction

    public EnumActionDestroyOverflow getAction()
    Gets the value of the action property. possible object is `EnumActionDestroyOverflow`
    Returns:
      the value of the action property

  - ### setAction

    public void setAction(EnumActionDestroyOverflow value)
    Sets the value of the action property. allowed object is `EnumActionDestroyOverflow`
    Parameters:
      `value` - the value of the action property